curl --request GET \
--url https://api.hakumedia.ai/v2/advertisers/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/advertisers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/advertisers/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/advertisers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"can_change_password": false,
"can_add_ad_items": false,
"email": "advertiser@example.com",
"name": "Example Advertiser",
"metadata": {
"btf": "true",
"mobile_only": "false"
},
"object": "advertiser",
"id": 5195,
"has_password": false,
"self_serve_customer": 100795,
"self": "/v2/advertisers/5195",
"parent": "admin"
}Get a Single Advertiser
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the advertiser you'd like to get.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
Whether to allow this advertiser to change their own password.
false
Whether to allow this advertiser to submit advertisements for scheduling in the zones you own.
false
A valid email owned by the advertiser that allows them to log in to the advertiser portal. When set to the default, the advertiser will not have access to the advertiser portal.
"advertiser@example.com"
Name of the advertiser.
"Example Advertiser"
An object containing any number of metadata keys and values. Keys and values must be strings.
{ "btf": "true", "mobile_only": "false" }
A string denoting the current resource being requested or affected.
"advertiser"
The current resource identifier (ID).
5195
A field indicating if the password is set.
false
The identifier (ID) of a related Self-Serve Customer resource.
100795
The relative URL of the current resource being requested or affected.
"/v2/advertisers/5195"
Where the advertiser was created, and if it should display as an option in the menu. Allowed values: marketplace and admin, defaults to admin. NOTE: setting this field to "marketplace" is only allowed if you pay for the Self-Serve feature.
"admin"